Subject: Re: [PATCH] t5516-fetch-push: Correct misspelled pushInsteadOf

From: Michael J Gruber <[email-masked]>
Date: Wed, 04 Mar 2015 11:10:14 +0100

Anders Kaseorg venit, vidit, dixit 04.03.2015 10:43:
> On Wed, 4 Mar 2015, Michael J Gruber wrote:
>> If there is no "pushurl":
>>   "url" will be used as the "URL for fetch" and as the "URL for push".
>>   if we are pushing and there is "pushinsteadof" for (part of) "url"
>>     subsitute that within "url"
>>   else if there is "insteadof" for (part of) "url"
>>     substitute that within "url"
>>
>> If there is a "pushurl":
>>   "url" will be used as the "URL for fetch" and "pushurl" as the "URL for push".
>>   if we are pushing and there is "insteadof" for (part of) "pushurl"
>>     substitute that within "pushurl"
>>   else if we are fetching and there is "insteadof" for (part of) "url"
>>     substiute that within "url"
> 
> Speaking of that, I recently had to reimplement most of this logic for the 
> openstack git-review tool (https://review.openstack.org/160152), which is 
> why I was staring too closely at t5516 in the first place.  It would be 
> nice to have a ‘git ls-remote --get-push-url’ analogous to the existing 
> ‘git ls-remote --get-url’.
> 
> Anders
> 

And vice-versa, it would be nice if "git remote" explained where the
resulting URLs come from. I vaguely remember looking into this, but I
don't think it was simple.

ls-remote and remote don't share code, which is a pitty. GSOC...

Michael